Skip to main content
GET
/
public
/
v2
/
contacts
cURL
curl --request GET \
  --url https://api.example.com/public/v2/contacts
{
  "count": 123,
  "total_pages": 123,
  "current_page": 123,
  "page_size": 123,
  "results": [
    {
      "id": 123,
      "updated_time": "2023-11-07T05:31:56Z",
      "contact_custom_fields": "<string>",
      "first_campaign_email_sent": "2023-11-07T05:31:56Z",
      "last_campaign_email_sent": "2023-11-07T05:31:56Z",
      "last_reply_received": "2023-11-07T05:31:56Z",
      "previous_status": "<string>",
      "status_changed_at": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "linkedin_url": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "company_id": 123,
      "origin": "<string>",
      "contact_status": "<string>"
    }
  ]
}

Query Parameters

domain
string

Filter for contacts with companies matching to a domain (excludes contacts without companies)

email
string

Filter by email

firstname
string

Filter by first name

lastname
string

Filter by last name

page
integer

Page number (1-based)

page_size
integer

Number of contacts per page (max 100)

structure
enum<string>
default:NESTED

Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.

Available options:
FLAT,
NESTED

Response

Paginated list of contacts

count
integer
required
total_pages
integer
required
current_page
integer
required
page_size
integer
required
results
object[]
required